Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLImageDataReader Class Reference

`#include <vtkXMLImageDataReader.h>`

Inheritance diagram for vtkXMLImageDataReader:

[legend]
Collaboration diagram for vtkXMLImageDataReader:

[legend]
List of all members.

## Detailed Description

Read VTK XML ImageData files.

Date:
  2003/02/07 20:06:29

Revision:
  1.2

vtkXMLImageDataReader reads the VTK XML ImageData file format. One image data file can be read to produce one output. Streaming is supported. The standard extension for this reader's file format is "vti". This reader is also used to read a single piece of the parallel file format.

See also:
  vtkXMLPImageDataReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (89%)
  - Geveci, Berk (7%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLImageDataReader.cxx)`
  - .`h` (`/IO/vtkXMLImageDataReader.h)`

Definition at line 50 of file vtkXMLImageDataReader.h.

## Public Types
typedef vtkXMLStructuredDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkImageData *output)
vtkImageData * | GetOutput ()
vtkImageData * | GetOutput (int idx)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLImageDataReader * | SafeDownCast (vtkObject *o)
vtkXMLImageDataReader * | New ()
## Protected Methods
| vtkXMLImageDataReader ()
| ~vtkXMLImageDataReader ()
const char * | GetDataSetName ()
void | SetOutputExtent (int *extent)
int | ReadPrimaryElement (vtkXMLDataElement *ePrimary)
void | SetupOutputInformation ()
## Protected Attributes
float | Origin [3]
float | Spacing [3]

## Member Typedef Documentation

typedef vtkXMLStructuredDataReader vtkXMLImageDataReader::Superclass

| Reimplemented from vtkXMLStructuredDataReader. Definition at line 53 of file vtkXMLImageDataReader.h.

## Constructor & Destructor Documentation

vtkXMLImageDataReader::vtkXMLImageDataReader | ( |  | ) | `[protected]`

vtkXMLImageDataReader::~vtkXMLImageDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLImageDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLStructuredDataReader.

int vtkXMLImageDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataReader.

virtual int vtkXMLImageDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataReader.

vtkXMLImageDataReader* vtkXMLImageDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLStructuredDataReader.

void vtkXMLImageDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLStructuredDataReader.

vtkXMLImageDataReader* vtkXMLImageDataReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLImageDataReader::SetOutput | ( | vtkImageData * | output | ) |

| Get/Set the reader's output.

vtkImageData* vtkXMLImageDataReader::GetOutput | ( |  | ) |

| Get/Set the reader's output.

vtkImageData* vtkXMLImageDataReader::GetOutput | ( | int | idx | ) |

| Get/Set the reader's output. Reimplemented from vtkSource.

const char* vtkXMLImageDataReader::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLImageDataReader::SetOutputExtent | ( | int * | extent | ) | `[protected, virtual]`

| Implements vtkXMLStructuredDataReader.

int vtkXMLImageDataReader::ReadPrimaryElement | ( | vtkXMLDataElement * | ePrimary | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataReader.

void vtkXMLImageDataReader::SetupOutputInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

## Member Data Documentation

float vtkXMLImageDataReader::Origin[3]`[protected]`

| Definition at line 68 of file vtkXMLImageDataReader.h.

float vtkXMLImageDataReader::Spacing[3]`[protected]`

| Definition at line 69 of file vtkXMLImageDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLImageDataReader.h